/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: OlnBasePopupMenu.java,v 1.3 2005/03/18 13:55:26 rampil Exp $
 */
package org.logical_paradox.testsite.oln.view;

import javax.swing.JPopupMenu;

import org.logical_paradox.testsite.oln.object.AppContext;
import org.logical_paradox.testsite.oln.object.RequestContext;

/**
 * ポップアップメニューの基底クラス
 * アプリケーションコンテキストの保持などを行う
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public abstract class OlnBasePopupMenu extends JPopupMenu {
	/** アプリケーションコンテキスト */
	private final AppContext context_;
	/** リクエストコンテキスト */
	private final RequestContext request_;	

	/**
	 * コンストラクタ
	 * @param name ポップアップメニュー名
	 * @param context アプリケーションコンテキスト
	 */
	public OlnBasePopupMenu(String name, AppContext context, RequestContext request) {
		super(name);
		context_ = context;
		request_ = request;
	}
	/**
	 * アプリケーションコンテキストを返す
	 * @return アプリケーションコンテキスト
	 */
	public AppContext getAppContext() {
		return context_;
	}
	/**
	 * リクエストコンテキストを返す
	 * @return リクエストコンテキスト
	 */
	public RequestContext getRequestContext() {
		return request_;
	}
	/**
	 * ポップアップメニューを初期化する
	 */
	protected abstract void init();
}
